#!/usr/bin/perl -w

use strict;
use MDK::Common;

my $sudoers = "/etc/sudoers";

sub add_user {
  my ($user) = @_;
  if (! any { /$user/ } cat_($sudoers)) {
    print "Add $user to be sudoers without password to launch cpu_freq_throttle\n";
    append_to_file($sudoers,
		   "$user ALL = (ALL) NOPASSWD: /usr/sbin/cpu_freq_throttle\n"
		  );
  } else {
    print "$user already sudoers\n";
  }
}

if (! $ARGV[0]) {
  print "Please, i need to add a user, so specify one.\n";
} else {
  add_user($ARGV[0]);
}
